backoffice/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();
Route::post('cms-login','Auth\AuthController@login');

Route::get('/home', 'HomeController@index')->name('home');

Route::group(['prefix' => 'admin','middleware' => 'admin'],  function () {
    //, 'middleware' => ['auth', 'role:admin']
    Route::get('/', function(){
        return view('admin.index');
    });

    //splash_screen
    Route::resource('splash_screen', 'General\SplashScreenController')->except(['create','show','edit']);
    Route::get('splash_screen/activate/{splash_id}', 'General\SplashScreenController@activate');

    //banner
    Route::resource('banner', 'General\BannerController')->except(['create','show','edit']);
    Route::get('banner/activate/{banner_id}', 'General\BannerController@activate');

    Route::resource('news', 'Product\NewsController');
    
    Route::resource('event', 'Product\EventController');

    Route::get('member', function(){
        return view('admin.member.index');
    });
    // Route::get('/', 'AdminController@check');
    // Route::post('/regist_company','CompanyController@store');
    // Route::get('/company_profile)','CompanyController@getComp')->name('company_profile');
    // Route::put('updateLogo/{id}','CompanyController@updateLogo');
    // Route::put('update/{id}','CompanyController@update');
    // Route::resource('article', 'ArticleController');
    // Route::get('add_article','ArticleController@formAdd');
    // Route::get('edit_article/{id}','ArticleController@edit');
    // Route::resource('category', 'CategoryController');
    // Route::resource('property', 'PropertyController');
    // Route::resource('property_detail','DetailController');
    });

//superadmin
Route::group(['prefix' => 'master','middleware' => 'admin'],  function () {
    //, 'middleware' => ['auth', 'role:admin']
    Route::get('/', 'Admin\DashboardController@master');
});

backoffice/app/Http/Controllers/General/SplashScreenController.php
<?php

namespace App\Http\Controllers\General;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use GuzzleHttp\Exception\GuzzleException;
use GuzzleHttp\Client;
use Session;
use Redirect;
use Auth;
use Carbon\Carbon;
use Guzzle\Http\Message\Response;

class SplashScreenController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $client = new Client();

        $url = config('constants.url.gateway').'splashscreen';
        $token = Session::get('app_token');
        $header = ['token' => $token];

        $splash = $client->request('GET',$url,[
                        'headers' => $header,
                    ]);
		$splash = json_decode($splash->getBody()->getContents(),true);
        //dd($splash);
        $data = $splash['Data'];
        //dd($data);
        $sp=[];
        $splash=[];
        $i = 0;
        foreach($data as $dt){
            $sp[] = $dt['splash_image'];
        }
        foreach($sp as $var){
            $splash[] = $var;
        }
        //dd($splash);
        //dd(count($sp));
        $count = count($splash);
        //dd($data[0]['event_code'],$data[1]['event_code']);
        //dd($sp);
        
        return view('admin.splash_screen.index',compact('data','splash','count'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $client = new Client();

        $url = config('constants.url.gateway').'/addsplashscreen';
        $token = Session::get('app_token');
        $header = ['token' => $token];

        $file=$request->file('splash_image');
        //$dt = Carbon::now();
        $fileName = str_random(8).'-'.$file->getClientOriginalName();
        $path = public_path('image/SplashScreen/');
        $file->move($path, $fileName);
        //dd($fileName);  


        $responseData = $client->request('POST',$url,[
                        'headers' => $header,
                        'multipart' =>  [
                            [	'name' => 'event_code',
                                'contents' => $request->event_code,				
                            ],
                            [	'name' => 'splash_title',
                                'contents' => $request->splash_title
                            ],
                            [	'name' => 'splash_desc',
                                'contents' => $request->splash_desc
                            ],
                            [
                                'name' => 'splash_image',
                                'contents' => fopen($path. $fileName , 'r')
                            ],
                            [	'name' => 'splash_bg_color',
                                'contents' => $request->splash_bg_color
                            ]
                        ]
                        ]);
        $responseData = json_decode($responseData->getBody()->getContents(),true);
        if(file_exists($path.$fileName)) unlink($path.$fileName);
        //dd($responseData);
        return back();
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $client = new Client();
        $url = config('constants.url.gateway').'/editsplash';
        $token = Session::get('app_token');
        $header = ['token' => $token];

        if($request->splash_image != null){
           
            //return 'not null';
            $file=$request->file('splash_image');
            //$dt = Carbon::now();
            $fileName = str_random(8).'-'.$file->getClientOriginalName();
            $path = public_path('image/SplashScreen/');
            $file->move($path, $fileName);
            //dd($fileName);  

            $responseData = $client->request('POST',$url.'/'.$id,[
                            'headers' => $header,
                            'multipart' =>  [
                                [	'name' => 'splash_title',
                                    'contents' => $request->splash_title
                                ],
                                [	'name' => 'splash_desc',
                                    'contents' => $request->splash_desc
                                ],
                                [
                                    'name' => 'splash_image',
                                    'contents' => fopen($path. $fileName , 'r')
                                ],
                                [	'name' => 'splash_bg_color',
                                    'contents' => $request->splash_bg_color
                                ]
                            ]
                            ]);
            $responseData = json_decode($responseData->getBody()->getContents(),true);
            if(file_exists($path.$fileName)) unlink($path.$fileName);
            return back();
        }else{
            //return 'ok';
            $responseData = $client->request('POST',$url.'/'.$id,[
                'headers' => $header,
                'multipart' =>  [
                    [	'name' => 'splash_title',
                        'contents' => $request->splash_title
                    ],
                    [	'name' => 'splash_desc',
                        'contents' => $request->splash_desc
                    ],
                    [
                        'name' => 'splash_image',
                        'contents' => null
                    ],
                    [	'name' => 'splash_bg_color',
                        'contents' => $request->splash_bg_color
                    ]
                ]
                ]);
            $responseData = json_decode($responseData->getBody()->getContents(),true);
            //return 'ok';
            return back();
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $client = new Client();

        $url = config('constants.url.gateway').'/deletesplash';
        $token = Session::get('app_token');
        $header = ['token' => $token];

        $responseData = $client->request('DELETE',$url.'/'.$id,[
                        'headers' => $header,
                        ]);
        return back();
    }

    public function activate($id){
        $client = new Client();
        $url = config('constants.url.gateway').'/activationsplash';
        $token = Session::get('app_token');
        $header = ['token' => $token];
		
		$splash = $client->request('GET',$url.'/'.$id,[
            'headers' => $header,
        ]);
		return back();
	
    }
}

backoffice/resources/views/admin/splash_screen/index.blade.php
@extends('layouts.template')

@section('cms')
<!-- BEGIN CONTENT -->
<div class="page-content-wrapper">
    <div class="card">
        <a data-toggle="modal" data-target="#addSplash" style="cursor: pointer;">
            <div class="card-header card-header-info">
                <h4 style="margin-left:30px" class="card-title">
                    <i class="fa fa-plus" style="margin-right:15px;"></i>Tambah
                    Splash Screen</h4>
            </div>
        </a>
        <div class="card-body">
            <!-- BEGIN CONTENT BODY -->
            <div class="page-content " style="padding:30px;">

                <div class="table-responsive">
                    <table id="example" class="table table-article table-striped table-bordered" style="width:100%">
                        <thead>
                            <tr style="text-align:center">
                                <th>No</th>
                                <th>Event Code</th>
                                <th>Title</th>
                                <th>Image</th>
                                <th>Description</th>
                                <th>BG Color</th>
                                <th>Activation</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($data as $key => $item)
                            <tr>
                                <td style="text-align:center">{{++$key}}</td>
                                <td style="text-align:right;width:15%">{{$item['event_code']}}</td>
                                <td style="text-align:center;width:20%">{{$item['splash_title']}}</td>
                                <td style="width:15%">
                                    <div style="height:100px;width:100%;">
                                        <img src="{{$splash[--$key]}}" style="width:100%;height:100%;">
                                    </div>
                                </td>
                                <td style="text-align:right;width:20%">{{$item['splash_desc']}}</td>
                                <td style="text-align:right;width:15%">{{$item['splash_bg_color']}}</td>
                                <td style="text-align:center;">
                                    <form action="{{url('admin/splash_screen/activate',$item['splash_id'])}}"
                                        method="POST">
                                        @csrf {{method_field('GET')}}
                                        <label class="switch-act">
                                            <input type="checkbox" onclick="this.form.submit()"
                                                @if($item['status']=='Active' ){{'checked'}}@endif>
                                            <span class="slider-act"></span>
                                        </label>
                                    </form>
                                </td>
                                <td>
                                    <div style="text-align:center;margin-left:10px">
                                        <a data-toggle="modal" data-target="#editSplash{{$item['splash_id']}}"><button
                                                class="btn btn-info" style="border-radius:5px!important;"><i
                                                    class="fa fa-info"
                                                    style="margin-left:0px;margin-right:40px"></i>Edit</button></a>
                                        <form action="{{route('splash_screen.destroy', $item['splash_id'])}}"
                                            method="POST">
                                            {{csrf_field()}} {{method_field('DELETE')}}<button type="button"
                                                class="btn btn-danger" style="border-radius:5px!important"
                                                onclick="if(confirm('Apakah anda yakin ingin menghapus data ini ?')){return this.form.submit()}else{return false}"><i
                                                    class="fa fa-trash" style="margin-right:15px"></i>Delete</button>
                                        </form>
                                    </div>

                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <!-- END CONTENT BODY -->
</div>
<div id="addSplash" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content" style="width:100%;">
            <div class="modal-header">
                <h4 class="modal-title">Tambah Splash Screen</h4>
            </div>
            <div class="modal-body">
                <form role="form" style="padding-left:30px;padding-right:30px;padding-top:30px;padding-bot:0px;"
                    method="POST" action="{{route('splash_screen.store')}}" enctype="multipart/form-data">
                    @csrf{{method_field('POST')}}
                    <div class="form-body">
                        <div class="form-group row" style="padding-bottom:5px;">
                            <div class="col-md-4 col-sm-4 col-xs-4" style="padding:0px;margin-top:5px">
                                <label>Event Code</label>
                            </div>
                            <div class="col-md-8 col-sm-8 col-xs-8" style="padding:0px;">
                                <input type="text" class="form-control" name="event_code">

                            </div>
                        </div>
                        <div class="form-group row" style="padding-bottom:5px;">
                            <div class="col-md-4 col-sm-4 col-xs-4" style="padding:0px;margin-top:5px">
                                <label>Title</label>
                            </div>
                            <div class="col-md-8 col-sm-8 col-xs-8" style="padding:0px;">
                                <input type="text" class="form-control" name="splash_title">

                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-4 col-sm-4 col-xs-12" style="padding:15px;">
                                <label>Splash Image</label>

                            </div>
                            <div class="col-md-8 col-sm-8 col-xs-12 " style="padding:15px;">
                                <input type="file" id="inputSS" name="splash_image">
                            </div>

                        </div>
                        <div class="image-form" style="margin-bottom:30px;">
                            <img id="ss" width="100%" height="100%">
                        </div>
                        <div class="form-group row" style="padding-bottom:5px;">
                            <div class="col-md-4 col-sm-4 col-xs-4" style="padding:0px;margin-top:5px">
                                <label>Background Color</label>
                            </div>
                            <div class="col-md-8 col-sm-8 col-xs-8" style="padding:0px;">
                                <input type="color" name="splash_bg_color">

                            </div>
                        </div>
                        <div class="form-group row" style="padding-bottom:5px;">
                            <div class="col-md-4 col-sm-4 col-xs-4" style="padding:0px;margin-top:5px">
                                <label>Description</label>
                            </div>
                            <div class="col-md-8 col-sm-8 col-xs-8" style="padding:0px;">
                                <input type="text" class="form-control" name="splash_desc">

                            </div>
                        </div>
                    </div>
                    <div class="modal-footer" style="margin-top:20px;padding-right:0px">
                        <button type="button" data-dismiss="modal" class="btn btn-danger">Cancel</button>
                        <button type="submit" class="btn btn-info">Submit</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- END SAMPLE FORM PORTLET-->
</div>

@foreach ($data as $key =>$item)
<div id="editSplash{{$item['splash_id']}}" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content" style="width:100%;">
            <div class="modal-header">
                <h4 class="modal-title">Edit Data Splash Screen</h4>
            </div>
            <div class="modal-body">
                <form role="form" style="padding-left:30px;padding-right:30px;padding-top:30px;padding-bot:0px;"
                    method="POST" action="{{route('splash_screen.update', $item['splash_id'])}}"
                    enctype="multipart/form-data">
                    @csrf{{method_field('PUT')}}
                    <div class="form-body">
                        {{-- <div class="form-group row" style="padding-bottom:5px;">
                            <div class="col-md-4 col-sm-4 col-xs-4" style="padding:0px;margin-top:5px">
                                <label>Event Code</label>
                            </div>
                            <div class="col-md-8 col-sm-8 col-xs-8" style="padding:0px;">
                            <input type="text" class="form-control" name="event_code" value="{{$item['event_code']}}">

                    </div>
            </div> --}}
            <div class="form-group row" style="padding-bottom:5px;">
                <div class="col-md-4 col-sm-4 col-xs-4" style="padding:0px;margin-top:5px">
                    <label>Title</label>
                </div>
                <div class="col-md-8 col-sm-8 col-xs-8" style="padding:0px;">
                    <input type="text" class="form-control" name="splash_title" value="{{$item['splash_title']}}">

                </div>
            </div>
            <div class="row">
                <div class="col-md-4 col-sm-4 col-xs-12" style="padding:15px;">
                    <label>Splash Image</label>

                </div>
                <div class="col-md-8 col-sm-8 col-xs-12 " style="padding:15px;">
                    <input type="file" id="inputSS2" name="splash_image">
                </div>

            </div>
            <div class="image-form" style="margin-bottom:30px;">
                <img src="{{$splash[$key]}}" id="ss2" width="100%" height="100%">
            </div>
            <div class="form-group row" style="padding-bottom:5px;">
                <div class="col-md-4 col-sm-4 col-xs-4" style="padding:0px;margin-top:5px">
                    <label>Background Color</label>
                </div>
                <div class="col-md-8 col-sm-8 col-xs-8" style="padding:0px;">
                    <input type="color" name="splash_bg_color" value="{{$item['splash_bg_color']}}"
                        style="margin-top:10px;">

                </div>
            </div>
            <div class="form-group row" style="padding-bottom:5px;">
                <div class="col-md-4 col-sm-4 col-xs-4" style="padding:0px;margin-top:5px">
                    <label>Description</label>
                </div>
                <div class="col-md-8 col-sm-8 col-xs-8" style="padding:0px;">
                    <input type="text" class="form-control" name="splash_desc" value="{{$item['splash_desc']}}">

                </div>
            </div>
        </div>
        <div class="modal-footer" style="margin-top:20px;padding-right:0px">
            <button type="button" data-dismiss="modal" class="btn btn-outline-danger">Cancel</button>
            <button type="submit" class="btn btn-outline-info">Save</button>
        </div>
        </form>
    </div>
</div>
</div>
<!-- END SAMPLE FORM PORTLET-->
</div>
@endforeach
@endsection

@section('script')
<script>
    $(document).ready(function () {
        $('#example').DataTable({
            responsive: true,
            "paging": true,
            "ordering": true,
            "searching": true,
            "info": false,
            "bPaginate": false,
            "bLengthChange": false,
            "bFilter": true,
            "bInfo": true,
            "bAutoWidth": false,
        });
    });

    function readURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                $('#ss').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

    $("#inputSS").change(function () {
        readURL(this);
    });

    function readURL2(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                $('#ss2').attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }

    $("#inputSS2").change(function () {
        readURL2(this);
    });

</script>
@endsection